---
title: 2FA
weight: 16
---

Ao fazer login em sua conta, ativar a verificação de autenticação de dois fatores (2FA) pode melhorar a segurança da conta.

O nosso console web atualmente suporta dois tipos de 2FA:

1. Verificação por e-mail
2. TOTP. É necessário um aplicativo de autenticação de terceiros para gerar o código de verificação, como [Authy](https://authy.com), [Microsoft Authenticator](https://www.microsoft.com/pt-br/security/mobile-authenticator-app/) e [Google Authenticator](https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2).
 
Primeiro, você precisa acessar a página de configurações da conta.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/1-settings-account.png)

### Verificação por e-mail

Para ativar a verificação por e-mail no login, você precisa:

1. Definir o e-mail.
2. Habilitar a opção `Ativar verificação de login por e-mail`.
3. Clicar em `Enviar`.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/2-2fa-email-1.png)

Na próxima vez que fizer login, o RustDesk enviará um e-mail com o código de verificação, e a página web mostrará o campo de verificação.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/2-2fa-email-2.png)

### TOTP

TOTP é um método 2FA amplamente utilizado, portanto, no console web do RustDesk Server Pro, 2FA se refere à verificação TOTP.

#### Preparar o aplicativo de autenticação

Primeiro, você precisa preparar o aplicativo de autenticação.
Você pode escolher entre estes tipos: [Authy](https://authy.com), [Microsoft Authenticator](https://www.microsoft.com/pt-br/security/mobile-authenticator-app/) e [Google Authenticator](https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2).

#### Ativar 2FA

Quando o botão `Ativar 2FA` é exibido na página de configurações, significa que o 2FA não está atualmente habilitado.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-enable-1.png)

Clique no botão e um formulário aparecerá para ativar o 2FA.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-enable-2.png)

Abra o aplicativo de autenticação, adicione uma conta escaneando o código QR.

Se for inconveniente escanear o código QR, você também pode inserir o código diretamente aqui.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-enable-3.png)

Após adicionar a conta no aplicativo de autenticação, insira o código de verificação do aplicativo de autenticação para ativar o 2FA.

Após a ativação bem-sucedida do 2FA, o RustDesk Server Pro também será vinculado a 6 **códigos de backup**. Para que você possa usar esses **códigos de backup** para passar pela verificação mesmo que não consiga usar o aplicativo de autenticação.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-enable-4.png)

{{% notice note %}}
1. Esses códigos de backup só podem ser usados uma vez.

2. Por favor, mantenha os códigos de backup em um lugar seguro.
{{% /notice %}}

#### Verificação de login

Quando o 2FA está ativado, a verificação de login por e-mail não é mais usada. Usaremos a verificação de login 2FA em vez disso.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-enable-login-5.png)

Ao fazer login, você será redirecionado para a página de verificação.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-enable-login-6.png)

#### Modificar configurações

Quando o 2FA está ativado, modificar as configurações da conta requer verificação 2FA adicional.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-settings-1.png)

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-settings-2.png)

#### Estado do 2FA

O 2FA tem um total de 3 estados: não ativado, ativado e expirado.

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-state-not-enabled.png)

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-state-enabled.png)

![](/docs/en/self-host/rustdesk-server-pro/2fa/images/3-2fa-state-expired.png)

{{% notice note %}}
O 2FA ainda pode ser usado normalmente após expirar. Isso significa apenas que as configurações do 2FA não foram alteradas há muito tempo (padrão 180 dias). Por motivos de segurança, recomendamos reativar o 2FA para que os dados secretos possam ser atualizados.
{{% /notice %}}
